# arm_fir_interpolate_instance_f32 Struct Reference

Instance structure for the floating-point FIR interpolator. More...

`#include <arm_math.h>`

## Data Fields

uint8_t | L
uint16_t | phaseLength
float32_t * | pCoeffs
float32_t * | pState

## Detailed Description

Instance structure for the floating-point FIR interpolator.

Definition at line 3419 of file arm_math.h.

## Field Documentation

uint8_t arm_fir_interpolate_instance_f32::L

upsample factor.

Definition at line 3421 of file arm_math.h.

uint16_t arm_fir_interpolate_instance_f32::phaseLength

length of each polyphase filter component.

Definition at line 3422 of file arm_math.h.

float32_t* arm_fir_interpolate_instance_f32::pCoeffs

points to the coefficient array. The array is of length L*phaseLength.

Definition at line 3423 of file arm_math.h.

float32_t* arm_fir_interpolate_instance_f32::pState

points to the state variable array. The array is of length phaseLength+numTaps-1.

Definition at line 3424 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines